window.addEventListener("load", () => {
    document.querySelectorAll(".toggle").forEach(toggle => {
        toggle.addEventListener("click", () => {
            const request = new Request(TOGGLE_IDEA_URL, {
                headers: {
                    "X-CSRFToken": CSRF_TOKEN
                }
            });
            let formData = new FormData();
            formData.append("iid", toggle.getAttribute("iid"));
            let span = toggle.querySelector("span");
            span.classList.remove("text-success");
            span.classList.remove("text-error");
            span.innerHTML = '<i class="icon icon-more-horiz"></i>';
            fetch(request, {
                    method: "POST",
                    body: formData,
                    mode: "same-origin"
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        if (data.new_status) {
                            span.classList.add("text-success");
                            span.innerHTML = '<i class="icon icon-task"></i>';
                        } else {
                            span.classList.add("text-error");
                            span.innerHTML = '<i class="icon icon-cross"></i>';
                        }
                    } else {
                        alert("Une erreur est survenue");
                    }
                });
        });
    });
    document.querySelectorAll(".delete").forEach((item) => {
        item.addEventListener("click", () => {
            if (window.confirm("Êtes-vous sûr de vouloir supprimer cette idée ?")) {
                const request = new Request(DELETE_IDEA_URL, {
                    headers: {
                        "X-CSRFToken": CSRF_TOKEN
                    }
                });
                let formData = new FormData();
                formData.append("iid", item.getAttribute("iid"));
                fetch(request, {
                        method: "POST",
                        body: formData,
                        mode: "same-origin"
                    })
                    .then(response => response.json())
                    .then(data => {
                        if (data.success) {
                            let tr = item.parentElement.parentElement;
                            tr.parentElement.removeChild(tr);
                        } else {
                            alert("Une erreur est survenue");
                        }
                    });
            }

        });
    });
});